import QtQuick
import QtQuick.Controls
import QtQuick3D
import ParticleEffects
import QtQuick3D.Particles3D
import QtQuick3D.Helpers
import Quick3DAssets.Zen_SceneTest 1.0

Node {
    id: timeSource
    property real time: 0
    property real timeSeconds: time// / 1000.0
    property View3D sourceView
/*
    Timer{
        interval: 1
        triggeredOnStart: true
        running: true
        repeat: true
        onTriggered: {
            timeSource.time += sourceView.renderStats.frameTime
        }
    }
  */
    FrameAnimation {
        id: timeSource2
        running: true
        onTriggered: {
            timeSource.time = elapsedTime
        }
    }

    Node {
        id: __materialLibrary__
    }
}
